module Rustle
  # A general Rustle exception
  class Error < StandardError; end

  # Raised when user fails to provide a port_file
  class PortFileNotSpecified < Error; end

  # Raised when a user provides an invalid hexadecimal color
  class InvalidHexColorCode < Error; end

  # Raised when a user does not provide a receiver when instantiating a strip
  class ReceiverNotFound < Error; end

  # Raised when a user does not specify the number of LEDs for a strip
  class NumLEDsInvalid < Error; end

  # Raised when a user tries to provide data that is not an array of {Color} objects
  class InvalidLEDArray < Error; end
end
