class WipeToTransition < Rustle::Transition
  def name
    :wipe_to
  end

  def setup(opts)
    @adj_factor = @total_frames.to_f/@strip.num_leds.to_f
    @new_color = opts[:color]
  end

  def animate(led_index, start_color, frame_num)
    amount = 1.0 / 
             (@total_frames-(led_index)*@adj_factor) *
             ((frame_num+1) - (led_index)*@adj_factor)

    amount = [amount, 0.0].max

    start_color.transition_to @new_color, amount
  end
end
